/* Generated by GOB (v2.0.17)   (do not edit directly) */

#include <glib.h>
#include <glib-object.h>
#ifndef __GLIV_IMAGE_H__
#define __GLIV_IMAGE_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */



#include "texture_map.h"


/*
 * Type checking and casting macros
 */
#define GLIV_TYPE_IMAGE	(gliv_image_get_type())
#define GLIV_IMAGE(obj)	G_TYPE_CHECK_INSTANCE_CAST((obj), gliv_image_get_type(), GlivImage)
#define GLIV_IMAGE_CONST(obj)	G_TYPE_CHECK_INSTANCE_CAST((obj), gliv_image_get_type(), GlivImage const)
#define GLIV_IMAGE_CLASS(klass)	G_TYPE_CHECK_CLASS_CAST((klass), gliv_image_get_type(), GlivImageClass)
#define GLIV_IS_IMAGE(obj)	G_TYPE_CHECK_INSTANCE_TYPE((obj), gliv_image_get_type ())

#define GLIV_IMAGE_GET_CLASS(obj)	G_TYPE_INSTANCE_GET_CLASS((obj), gliv_image_get_type(), GlivImageClass)

/*
 * Main object structure
 */
#ifndef __TYPEDEF_GLIV_IMAGE__
#define __TYPEDEF_GLIV_IMAGE__
typedef struct _GlivImage GlivImage;
#endif
struct _GlivImage {
	GObject __parent__;
	/*< public >*/
	GList * node;
	gint number;
	gchar * ident;
	gint width;
	gint height;
	gint nb_maps;
	texture_map * maps;
	gboolean has_alpha;
	gboolean first_image;
	gfloat initial_angle;
	gboolean initial_h_flip;
};

/*
 * Class definition
 */
typedef struct _GlivImageClass GlivImageClass;
struct _GlivImageClass {
	GObjectClass __parent__;
};


/*
 * Public methods
 */
GType	gliv_image_get_type	(void) G_GNUC_CONST;
#line 29 "../tools/gliv-image.gob"
GlivImage * 	gliv_image_new	(void);
#line 67 "gliv-image.h"

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif
